Bug 177381 - [PATCH] databases/postgresql92-server CONFIGURE_ARGS+= for LDAP should be in SERVER_ONLY section
[PATCH] databases/postgresql92-server CONFIGURE_ARGS+= for LDAP should be in ...
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: pgsql
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-03-25 19:20 UTC by chris.dukes.aix
Modified: 2013-05-06 19:40 UTC (History)
0 users

See Also:


Attachments
file.diff (425 bytes, patch)
2013-03-25 19:20 UTC, chris.dukes.aix
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description chris.dukes.aix 2013-03-25 19:20:01 UTC
Trying to build postgresql92-client with LDAP enabled.
Fails because CONFIGURE_ARGS gets --with-ldap, but because it's a client the USE_OPENLDAP part in if defined (SERVER_ONLY) isn't touched.

How-To-Repeat: Enable LDAP option on postgresql92-client port.  Build.
Comment 1 Edwin Groothuis freebsd_committer 2013-03-28 19:57:18 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pgsql

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 chris.dukes.aix 2013-05-03 07:17:45 UTC
While this is merely an inconvenience when installing directly from 
ports, it becomes annoying when building binary packages for 'pkgng' 
with poudriere.
A reconfigure of the port's options causes both the client and the 
server to be rebuilt.  They share the same options file under poudriere. 
If LDAP is enabled, databases/postgresql92-server can never be built 
under poudriere because the postgresql92-client does not build with LDAP 
enabled.
Comment 3 Chris Rees freebsd_committer 2013-05-04 19:33:39 UTC
State Changed
From-To: open->feedback

Hi Chris,  If you can verify that postgresql-client buidl without-ldap 
will interact fine with a server built with-ldap, then I will commit 
your patch.  Please let me know!
Comment 4 dfilter freebsd_committer 2013-05-06 19:37:08 UTC
Author: crees
Date: Mon May  6 18:37:00 2013
New Revision: 317540
URL: http://svnweb.freebsd.org/changeset/ports/317540

Log:
  Don't build client with ldap-- this is unnecessary and causes build breakage
  for package building because of lack of LDAP installation.
  
  PR:		ports/177381
  Tested by:	Chris Dukes <chris.dukes.aix@gmail.com>

Modified:
  head/databases/postgresql91-server/Makefile
  head/databases/postgresql92-server/Makefile

Modified: head/databases/postgresql91-server/Makefile
==============================================================================
--- head/databases/postgresql91-server/Makefile	Mon May  6 18:30:15 2013	(r317539)
+++ head/databases/postgresql91-server/Makefile	Mon May  6 18:37:00 2013	(r317540)
@@ -87,8 +87,8 @@ KRB5_DESC=       Build with kerberos pro
 NLS_DESC=	Use internationalized messages
 DTRACE_DESC=	Build with DTrace probes (server only)
 PAM_DESC=	Build with PAM Support
-LDAP_DESC=	Build with LDAP authentication support
-MIT_KRB5_DESC=	Build with MIT's kerberos support
+LDAP_DESC=	Build with LDAP authentication support (server only)
+MIT_KRB5_DESC=	Build with MIT kerberos support
 HEIMDAL_KRB5_DESC=	Builds with Heimdal kerberos
 GSSAPI_DESC=	Build with GSSAPI support
 OPTIMIZED_CFLAGS_DESC=	Builds with compiler optimizations (-O3)
@@ -157,8 +157,8 @@ CONFIGURE_ARGS+=--with-pam
 .  endif
 
 .  if ${PORT_OPTIONS:MLDAP}
-CONFIGURE_ARGS+=--with-ldap
 .    if defined (SERVER_ONLY)
+CONFIGURE_ARGS+=--with-ldap
 USE_OPENLDAP=	yes
 .    endif
 .  endif

Modified: head/databases/postgresql92-server/Makefile
==============================================================================
--- head/databases/postgresql92-server/Makefile	Mon May  6 18:30:15 2013	(r317539)
+++ head/databases/postgresql92-server/Makefile	Mon May  6 18:37:00 2013	(r317540)
@@ -87,8 +87,8 @@ KRB5_DESC=       Build with kerberos pro
 NLS_DESC=	Use internationalized messages
 DTRACE_DESC=	Build with DTrace probes (server only)
 PAM_DESC=	Build with PAM Support
-LDAP_DESC=	Build with LDAP authentication support
-MIT_KRB5_DESC=	Build with MIT's kerberos support
+LDAP_DESC=	Build with LDAP authentication support (server only)
+MIT_KRB5_DESC=	Build with MIT kerberos support
 HEIMDAL_KRB5_DESC=	Builds with Heimdal kerberos
 GSSAPI_DESC=	Build with GSSAPI support
 OPTIMIZED_CFLAGS_DESC=	Builds with compiler optimizations (-O3)
@@ -156,8 +156,8 @@ CONFIGURE_ARGS+=--with-pam
 .  endif
 
 .  if ${PORT_OPTIONS:MLDAP}
-CONFIGURE_ARGS+=--with-ldap
 .    if defined (SERVER_ONLY)
+CONFIGURE_ARGS+=--with-ldap
 USE_OPENLDAP=	yes
 .    endif
 .  endif
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 Chris Rees freebsd_committer 2013-05-06 19:38:17 UTC
State Changed
From-To: feedback->closed

LDAP option no longer affects client build.  Thanks for testing!